store | blogs | forums | twitter | facebook | wiki | mailing lists | downloads | support portal
Atomic Secure Linux
It is currently Sun Apr 20, 2014 5:04 pm

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 11 posts ] 
Author Message
 Post subject: Mysql yum update error
Unread postPosted: Thu Sep 22, 2011 3:44 pm 
Offline
Forum Regular
Forum Regular

Joined: Thu May 07, 2009 12:46 pm
Posts: 259
Hello,

Can somebody help me with this.
I can't update mysql anymore i got this error on yum:

Code:
[xxxxxxxx@xxxxxx]# yum -y upgrade mysql
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * atomic: www6.atomicorp.com
 * base: centos.mirror.triple-it.nl
 * extras: centos.mirror.triple-it.nl
 * updates: centos.mirror.triple-it.nl
Setting up Upgrade Process
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: mysql = 5.1.58-2.el5.art for package: mysql-server
--> Processing Dependency: mysql = 5.1.58-2.el5.art for package: mysql-libs
---> Package mysql.x86_64 0:5.1.59-1.el5.art set to be updated
--> Running transaction check
---> Package mysql.i386 0:5.1.58-2.el5.art set to be updated
--> Processing Dependency: libmysqlclient_r.so.16 for package: mysql
--> Processing Dependency: libmysqlclient.so.16 for package: mysql
--> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16) for package: mysql
--> Processing Dependency: libmysqlclient_r.so.16(libmysqlclient_16) for package: mysql
---> Package mysql-server.x86_64 0:5.1.59-1.el5.art set to be updated
--> Running transaction check
---> Package mysql-libs.i386 0:5.1.59-1.el5.art set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================================
 Package                                   Arch                                Version                                        Repository                           Size
========================================================================================================================================================================
Updating:
 mysql                                     x86_64                              5.1.59-1.el5.art                               atomic                              4.2 M
Installing for dependencies:
 mysql                                     i386                                5.1.58-2.el5.art                               atomic                              4.2 M
 mysql-libs                                i386                                5.1.59-1.el5.art                               atomic                              2.1 M
Updating for dependencies:
 mysql-server                              x86_64                              5.1.59-1.el5.art                               atomic                               11 M

Transaction Summary
========================================================================================================================================================================
Install       2 Package(s)
Upgrade       2 Package(s)

Total size: 22 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/share/mysql/charsets/cp1251.xml from install of mysql-libs-5.1.59-1.el5.art.i386 conflicts with file from package mysql-libs-5.1.58-2.el5.art.x86_64

Error Summary
-------------


[xxxxxx@xxxxxxx]# rpm -qa | grep mysql



Code:
[root@astrahost darkfader]# rpm -qa | grep mysql
php-mysql-5.3.8-1.el5.art
mysqlclient15-5.0.90-1.el5.art
mysql-server-5.1.58-2.el5.art
ruby-mysql-2.7-200705221357
mysqltuner-1.2.0-1.el5.art
mysql-5.1.58-2.el5.art
asl-php-mysql-5.2.17-1.el5.art
mysql-libs-5.1.58-2.el5.art
mysql-connector-odbc-3.51.26r1127-1.el5
mysql-libs-5.1.59-1.el5.art



I really like to update.
Any help will be appreciated.

Thanx in advanced


Top
 Profile  
 
 Post subject: Re: Mysql yum update error
Unread postPosted: Thu Sep 22, 2011 4:44 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7779
Location: earth
looks like youve got both the i386 & x86_64 packages on there for some reason. Just use yum update mysql.x86_64 when that happens

Also search is your friend... this has been answered before


Top
 Profile  
 
 Post subject: Re: Mysql yum update error
Unread postPosted: Thu Sep 22, 2011 5:04 pm 
Offline
Forum Regular
Forum Regular

Joined: Thu May 07, 2009 12:46 pm
Posts: 259
scott wrote:
looks like youve got both the i386 & x86_64 packages on there for some reason. Just use yum update mysql.x86_64 when that happens

Also search is your friend... this has been answered before


Thanx scott for the feedback i searched allready tryed any thing what i have founded on this form:

Code:
 yum update mysql.x86_64


Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * atomic: www6.atomicorp.com
 * base: centos.mirror.triple-it.nl
 * extras: centos.mirror.triple-it.nl
 * updates: centos.mirror.triple-it.nl
Setting up Update Process
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: mysql = 5.1.58-2.el5.art for package: mysql-server
--> Processing Dependency: mysql = 5.1.58-2.el5.art for package: mysql-libs
---> Package mysql.x86_64 0:5.1.59-1.el5.art set to be updated
--> Running transaction check
---> Package mysql.i386 0:5.1.58-2.el5.art set to be updated
--> Processing Dependency: libmysqlclient_r.so.16 for package: mysql
--> Processing Dependency: libmysqlclient.so.16 for package: mysql
--> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16) for package: mysql
--> Processing Dependency: libmysqlclient_r.so.16(libmysqlclient_16) for package: mysql
---> Package mysql-server.x86_64 0:5.1.59-1.el5.art set to be updated
--> Running transaction check
---> Package mysql-libs.i386 0:5.1.59-1.el5.art set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package             Arch          Version                  Repository     Size
================================================================================
Updating:
 mysql               x86_64        5.1.59-1.el5.art         atomic        4.2 M
Installing for dependencies:
 mysql               i386          5.1.58-2.el5.art         atomic        4.2 M
 mysql-libs          i386          5.1.59-1.el5.art         atomic        2.1 M
Updating for dependencies:
 mysql-server        x86_64        5.1.59-1.el5.art         atomic         11 M

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade       2 Package(s)

Total size: 22 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/share/mysql/charsets/cp1251.xml from install of mysql-libs-5.1.59-1.el5.art.i386 conflicts with file from package mysql-libs-5.1.58-2.el5.art.x86_64

Error Summary
-------------


But with no luck


Top
 Profile  
 
 Post subject: Re: Mysql yum update error
Unread postPosted: Thu Sep 22, 2011 8:33 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
User avatar

Joined: Thu Feb 07, 2008 7:49 pm
Posts: 3548
Location: Chantilly, VA
Did you remove the 32 bit version? You have both the 64 bit and 32 bit versions installed, and you really should only have one.

_________________
Michael Shinn
Atomicorp - Security For Everyone

Co-Author of Troubleshooting Linux Firewalls.


Top
 Profile  
 
 Post subject: Re: Mysql yum update error
Unread postPosted: Thu Sep 22, 2011 8:48 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7779
Location: earth
Every time I feel compelled to answer this question, I think about this:

http://www.youtube.com/watch?v=piVnArp9ZE0


Top
 Profile  
 
 Post subject: Re: Mysql yum update error
Unread postPosted: Fri Sep 23, 2011 4:13 am 
Offline
Forum Regular
Forum Regular

Joined: Thu May 07, 2009 12:46 pm
Posts: 259
Thanx for helping i was a lillte bit scared to remove packages without break mysql.
but your right after removing it i works.

Thanx for the info.


Top
 Profile  
 
 Post subject: Re: Mysql yum update error
Unread postPosted: Fri Sep 23, 2011 12:24 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
User avatar

Joined: Thu Feb 07, 2008 7:49 pm
Posts: 3548
Location: Chantilly, VA
Hurray! Our pleasure. :-)

_________________
Michael Shinn
Atomicorp - Security For Everyone

Co-Author of Troubleshooting Linux Firewalls.


Top
 Profile  
 
 Post subject: Re: Mysql yum update error
Unread postPosted: Thu Feb 09, 2012 9:07 pm 
Offline
New Forum User
New Forum User

Joined: Thu Feb 09, 2012 9:03 pm
Posts: 1
Location: london
I have

[root@s15830902 ~]# rpm -qa | grep mysql
mysqlclient15-5.0.90-1.el5.art
mysql-server-5.5.17-2.el5.art
mysql-5.5.20-2.el5.art
php-mysql-5.3.10-5.el5.art
mysql-libs-5.5.20-2.el5.art
mysql-server-5.5.20-2.el5.art

and I have problems starting mysqld

can I yum remove mysql-server and the databases stay intact?


Top
 Profile  
 
 Post subject: Re: Mysql yum update error
Unread postPosted: Fri Feb 10, 2012 10:31 am 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7779
Location: earth
Sure, just make sure nothing else has dependencies on it.


Top
 Profile  
 
 Post subject: Re: Mysql yum update error
Unread postPosted: Fri Feb 10, 2012 11:24 am 
Offline
Long Time Forum Regular
Long Time Forum Regular

Joined: Thu Dec 09, 2004 11:19 am
Posts: 2007
Remove the line that talks about "skip-bdb" from my.cnf and mysql will start OK

In 5.5., things changes from 5.1.x and that line kills it.

It could be something else, but that's my guess. There's an article in the Atomic wiki http://www.atomicorp.com/wiki/index.php/Mysql

Really hope this helps. I know it is horrible to be in this situation. Sorry if your prob is not related to this.

Remember to run the mysql_upgrade script afterwards.

_________________
--------------------------------
<advert>
If you want to rent a UK-based VPS that comes with friendly advice and support from a fellow ART fan, please get in touch.
</advert>


Top
 Profile  
 
 Post subject: Re: Mysql yum update error
Unread postPosted: Fri Feb 10, 2012 5:30 pm 
Offline
Long Time Forum Regular
Long Time Forum Regular

Joined: Sat Aug 20, 2005 9:30 am
Posts: 2812
Location: The Netherlands
faris wrote:
Remove the line that talks about "skip-bdb" from my.cnf and mysql will start OK

In 5.5., things changes from 5.1.x and that line kills it.

It could be something else, but that's my guess.


Instead of guessing I recommend checking /var/log/mysqld.log :)

_________________
Lemonbit Internet Dedicated Server Management


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 11 posts ] 

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group